fop 2.3

## org.apache.fop.render.gradient
Class GradientMaker

    java.lang.Object
      org.apache.fop.render.gradient.GradientMaker

    public final class GradientMaker

extends java.lang.Object

Nested Class Summary
`static interface` `GradientMaker.DoubleFormatter`

Method Summary
`static Pattern` `makeLinearGradient(org.apache.batik.ext.awt.LinearGradientPaint gp, java.awt.geom.AffineTransform baseTransform, java.awt.geom.AffineTransform transform)`
`static Pattern` `makeRadialGradient(org.apache.batik.ext.awt.RadialGradientPaint gradient, java.awt.geom.AffineTransform baseTransform, java.awt.geom.AffineTransform transform)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### makeLinearGradient

    public static Pattern makeLinearGradient(org.apache.batik.ext.awt.LinearGradientPaint gp,
                                             java.awt.geom.AffineTransform baseTransform,
                                             java.awt.geom.AffineTransform transform)

### makeRadialGradient

    public static Pattern makeRadialGradient(org.apache.batik.ext.awt.RadialGradientPaint gradient,
                                             java.awt.geom.AffineTransform baseTransform,
                                             java.awt.geom.AffineTransform transform)

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.